Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233731 - About sub-package on 5.0.37
Summary: About sub-package on 5.0.37
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom Lane
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-24 07:29 UTC by Remi Collet
Modified: 2013-07-03 03:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-29 22:37:29 UTC


Attachments (Terms of Use)

Description Remi Collet 2007-03-24 07:29:34 UTC
I sav the mysql-libs new subpackage on Rawhide.

Here is some comments

1/ as mysql requires mysql-libs

mysql-devel (and -server) which requires mysql don't need to requires mysql-libs...

2/ /etc/my.cnf

You put a note (perhaps my.cnf should be in the server package?) but i think it
could even be in the -libs package.

The [client] section can be used to set default parameters (character_set for
PHP, for example)

3/ mysql_config

This could probably go to -devel as this is used to get build options.

4/ i don't see the need to provides the
%{_mandir}/man1/ndb_*
as ndb support is not enabled.

5/ %{_libdir}/mysql
the dir is owned by 3 packages (mysql, -libs and -devel)
Should probably be owned only by -lis.

This comments probably should go the the "merge review", but i don't find it.

Regards.

Comment 1 Tom Lane 2007-03-29 22:37:29 UTC
Thanks for the comments.  I'm adopting all of these in 5.0.37-2 except for
moving mysql_config: the --port case at least is useful to client scripts,
so I don't think it's a developer-only thing.  I have some recollection that
we deliberately decided on its placement once before.


Note You need to log in before you can comment on or make changes to this bug.